# Scroll to fetch results of next page

Endpoint: GET /v1/well-lists/scroll-to-next-page/{next_page_id}
Version: v1
Security: bearer, appkey, sauth_service_token

## Security:

  - `bearer` (unknown)
    http bearer JWT

  - `appkey` (unknown)
    apiKey in header appkey

  - `sauth_service_token` (unknown)
    oauth2

## Path parameters:

  - `next_page_id` (string, required)
    An id string retrieved from previous search or scroll

## Header parameters:

  - `slb-partition-id` (string, required)
    Slb partition id

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (text/plain):

  - `current_matches` (array)

  - `current_matches.well_name` (string)

  - `current_matches.duration` (number)

  - `current_matches.physical_container_name` (string)

  - `current_matches.creation_utc_timestamp` (string)

  - `current_matches.last_modification_utc_timestamp` (string)

  - `current_matches.version` (integer)

  - `current_matches.id` (string)

  - `current_matches.activity_end_md` (number)

  - `current_matches.activity_catalog_id` (string)

  - `current_matches.activity_start_md` (number)

  - `current_matches.section_id` (string)

  - `current_matches.hole_bottom_md` (number)

  - `current_matches.hole_bottom_tvd` (number)

  - `current_matches.hole_top_md` (number)

  - `current_matches.hole_top_tvd` (number)

  - `current_matches.comments` (string)

  - `current_matches.data_source` (string)

  - `current_matches.description` (string)

  - `current_matches.end_date` (string)

  - `current_matches.npt_reason` (string)

  - `current_matches.start_date` (string)

  - `current_matches.time_classification` (string)

  - `current_matches.well_guid` (string)

  - `current_matches.hole_size` (number)

  - `current_match_count` (integer)

  - `excluded_matches` (array)

  - `excluded_matches.violations` (array)

  - `excluded_matches.violations.fatal_violation` (boolean)

  - `excluded_matches.violations.details` (string)

  - `total_match_count` (integer)

  - `next_page_id` (string)

  - `action_succeeded` (boolean)

  - `master_error` (string)

  - `dependent_action_errors` (array)

  - `action_key` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (text/plain):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

